Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum zapoznaj się z kilkoma zasadami savoir-vivre'u w wątku Administracja-> Przywitaj się. Wątki z problemami zamieszczone w dziale "Przywitaj się" będą usuwane.

Autor Wątek: Manjaro błąd aktualizacji - brak interfejsu sieciowego  (Przeczytany 722 razy)

Offline pavbaranov

  • Hero Member
  • *****
  • Wiadomości: 892
Odp: Manjaro błąd aktualizacji - brak interfejsu sieciowego
« Odpowiedź #15 dnia: Marzec 09, 2019, 10:37:40 am »
To jeszcze wytłumaczę Ci co zrobiłeś. Robiąc link:
ln -s libidn2.so.0.3.5 libidn2.so.4oszukałeś jakiś program, który obecnie widzi libidn2 w jakiejś przedziwnej wersji, ale - jak to piszesz - tak, czy siak, wyższej niż obecnej :) Plik libidn2.so.0.3.5 jest dostarczany wraz z libidn2 w wersji 2.1.1. Plik libidn2.so.4 będzie (być może) kiedyś w przyszłości w jakiejś wersji libidn2.so. Obecnie prawdopodobnie jedynie jakaś aplikacja (nie wiem jaka, ale fakt, należałoby i to rozwiązać) korzysta z tej "stworzonej" przez Ciebie biblioteki. Ta sama aplikacja została zbudowana na podstawie tej właśnie biblioteki (libidn2.so.4), która mogła mieć inną funkcjonalność od tej, która ją obecnie udaje. Efektem może być wadliwe działanie tej aplikacji, jak i destabilizacja całego systemu. Nadto gdy już libidns2 będzie dostarczał bibliotekę libdns2.so.4, to nie będzie jej mógł zainstalować, albowiem stwierdzi, że taki plik już w systemie istnieje.

Jeśli obecnie możesz instalować paczki, wykonaj:
# pacman -Syyuui usuń link, który wykonałeś. System winien prawidłowo pracować, o ile został prawidłowo zbudowany (tu nie mam pojęcia).